# vim: set ts=4 sw=4 et:
# Copyright (c) 2007-2009 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to packman@links2linux.de

%{!?python_sitelib:  %global python_sitelib  %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

Name:           devidify
Version:        1.14
Release:        1.1
Summary:        Extracting audio tracks from DVDs
Group:          Productivity/Multimedia/Video/Editors and Convertors
License:        GNU General Public License version 2 or alter (GPLv2 or later)
URL:            http://www.mahnamahna.net/museyroom/devidify/devidify.shtml
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %suse_version > 1110
BuildArch:      noarch
%endif
%py_requires
BuildRequires:  python-devel
BuildRequires:  update-desktop-files
Requires:       lame
Requires:       lsdvd
Requires:       MPlayer
%if %suse_version >= 1110
Requires:       python-base
%else
Requires:       python
%endif
Requires:       python-gtk
Requires:       vorbis-tools
BuildRequires:  lame lsdvd MPlayer python-gtk vorbis-tools

%description
I wrote it because I had a few concert DVDs laying around, and
wanted to get their audio tracks into my portable music player.
At the time, existing Linux-based tools meant ripping the video
first, then extracting the audio. They made none of this easy.
Who has time for such nonsense? Devidify makes things easy.
Feed it a shiny disc and it spits out WAV, MP3, or Ogg Vorbis
files.

%prep
%setup -q -n %{name}-%{version}
%__sed -i -e 's|install_data=/usr/local/share|install_data=/usr/share|g' \
    setup.cfg
%__sed -i -e 's|install_scripts=/usr/local/bin|install_scripts=/usr/bin|g' \
    setup.cfg

%build
%__python setup.py build

%install
%__install -dm 755 %{buildroot}%{python_sitelib}

%__python setup.py install \
    --root=%{buildroot}\
    --prefix=%{_prefix}

%__rm -f %{name}.desktop
%__cat > %{name}.desktop << EOF
[Desktop Entry]
#Encoding=UTF-8
Name=Devidify
Type=Application
Terminal=false
Exec=devidify
#Icon=
Comment=Extract audio from your DVDs
EOF
%suse_update_desktop_file -i %{name} AudioVideo AudioVideoEditing

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root,-)
#%doc COPYING NEWS README TODO
%{_bindir}/devidify
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{python_sitelib}/Devidify-%{version}-py%{py_ver}.egg-info
%{_datadir}/applications/*.desktop

%changelog
* Sat May 10 2008 toni@links2linux.de
- update to 1.14
* Mon Jul  2 2007 toni@links2linux.de
- initial build 1.12
